## ros-indigo-cob-script-server 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_script_server)

find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs message_generation rostest trajectory_msgs)

catkin_python_setup()

### Message Generation ###
add_message_files(
  FILES
  ScriptState.msg
)

add_service_files(
  FILES
  ComposeTrajectory.srv
)

add_action_files(
  FILES
  Script.action
  State.action
)

generate_messages(
  DEPENDENCIES actionlib_msgs trajectory_msgs
)


catkin_package(
  CATKIN_DEPENDS actionlib_msgs message_runtime trajectory_msgs
)

### Install ###
install(DIRECTORY common launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS src/cob_console src/script_server.py src/script_to_graph.py src/script_viewer.py src/xdot.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/src
)

install(PROGRAMS test/test_action_interface.py test/test_move.py test/test_python_api.py test/test_say.py test/test_trigger.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/test
)

=== debian/changelog ===
ros-indigo-cob-script-server (0.6.9-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-script-server (0.6.8-0trusty) trusty; urgency=high

  * Merge pull request #220 <https://github.com/ipa320/cob_command_tools/issues/220> from ipa320/revert-219-restructure_sss_params
    Revert "use joint_names from component ns"
  * Revert "use joint_names from component ns"
  * Merge pull request #219 <https://github.com/ipa320/cob_command_tools/issues/219> from ipa-fxm/restructure_sss_params
    use joint_names from component ns
  * use joint_names from component ns
  * Contributors: Felix Messmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-script-server (0.6.7-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #206 <https://github.com/ipa320/cob_command_tools/issues/206> from ipa-fmw/hotfix_cob_console
    [cob_console] hotfix for ipython shebang
  * hotfix for cob_console ipython shebang
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-fxm, ipa-uhr-mk

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-script-server (0.6.6-0trusty) trusty; urgency=high

  * move visualize navigation goals to cob_helper_tools
  * add node for visualization of script server navigation goals
  * handle uninitielized action clients
  * add trigger_action function to sss
  * fix Trigger unittests
  * increased min point time
  * minimal trajectory point_time
  * catch ValueError during point time calculation when using mimic joints
  * manually fix changelog
  * fixed cob_console script
  * Contributors: Benjamin Maidel, Florian Weisshardt, Mathias Lüdtke, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-cob-script-server (0.6.5-0trusty) trusty; urgency=high

  * use joint_states instead of controller_state
  * Removed an extra space
  * Removed a comma
  * fixed more concatenate messages errors
  * Update log message
  * Fix concatenate error
  * fix error message for move_base_rel
  * Contributors: Florian Weisshardt, Nadia Hammoudeh García, ipa-cob4-5, ipa-fmw, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-script-server (0.6.4-0trusty) trusty; urgency=high

  * undo pop-up related changes
  * indentation fixes
  * more verbose action_handle (takes an additional string in set_failed())
    more consistent usage of action_handle throughout code
  * cleanup action_handle
  * parameter for enabling sound and light
  * allow passing of component_name to sss.say
  * use modes definition instead of magic numbers
  * Merge branch 'indigo_dev' into fix/refactor_light
    Conflicts:
    cob_teleop/ros/src/cob_teleop.cpp
  * reduce timeout for all wait_for_server calls
  * fixes due to cob_light changes
  * shorten timeout
  * fix CMakeLists.txt
  * add dependency to actionlib
  * fix ScriptAction include in cob_teleop
  * fix sss error handling for light
  * Merge branch 'fix_teleop' into fix_sss
  * set zero velocity and acceleration for all trajectory points
  * fix actionhandle for trigger
  * deleted script_server tests from launch file
  * Contributors: Benjamin Maidel, Florian Köhler, Florian Weisshardt, ipa-cob4-2, ipa-fmw, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-script-server (0.6.3-0trusty) trusty; urgency=high

  * do not install headers in executable-only packages
  * more cleanup
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * remove trailing whitespaces
  * migrate to package format 2
  * Merge pull request #105 <https://github.com/ipa-fxm/cob_command_tools/issues/105> from ipa-nhg/play_sound
    minor changes
  * minor changes
  * Merge pull request #103 <https://github.com/ipa-fxm/cob_command_tools/issues/103> from ipa-nhg/play_sound
    play sound
  * log error
  * cob_sound
  * sort dependencies
  * critically review dependencies
  * play sound
  * Contributors: Florian Weisshardt, ipa-fxm, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-script-server (0.6.2-0trusty) trusty; urgency=high

  * merge with ipa320
  * Merge pull request #18 <https://github.com/ipa320/cob_command_tools/issues/18> from ipa-cob4-2/indigo_dev
    updates from cob4-2
  * use actions for light, sound and mimic. Using new namespaces with component_name
  * use wait_for_message instead of joint_state_listener
  * use new Trigger from std_srvs
  * fix indention
  * fix wrong service handle
  * Merge branch 'indigo_dev' of https://github.com/ipa-fmw/cob_command_tools into indigo_dev
  * fix blocking of move_base_rel and add mimic support
  * fix wrong variable name
  * fixed bug: light service is expecting 4 instead of 3 parameters [r,g,b,a]
  * cleanup CMakeLists
  * fix light for simple_script_server, adapt emergency_stop_monitor for cob4 by supporting mulitple light components
  * use transparency parameter, tiomeout for service and tabs vs spaces
  * using light service instead of topic and adapted for multiple components
  * added topic_name parameter set_light
  * Contributors: Benjamin Maidel, Florian Weisshardt, ipa-cob3-9, ipa-cob4-2, ipa-fmw, ipa-fxm, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-script-server (0.6.1-0trusty) trusty; urgency=high

  * fix traj time calculation
  * use default vel instead of default point time
  * use 8 sec by default for trajectories
  * action and service namespaces are configurable now
  * add halt service support


=== debian/control ===
Source: ros-indigo-cob-script-server
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-rostest, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/cob_script_server
Standards-Version: 3.9.2

Package: ros-indigo-cob-script-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ipython, python-pygraphviz, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cob-light, ros-indigo-cob-mimic, ros-indigo-cob-sound, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-move-base-msgs, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-trajectory-msgs
Description: The cob_script_server package provides a simple interface to operate Care-O-bot.
 It can be used via the python API or the actionlib interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-script-server//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
